org.bdgenomics.adam.converters

# FastqRecordConverter

#### class FastqRecordConverter extends Serializable with Logging

Linear Supertypes
Logging, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FastqRecordConverter
2. Logging
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FastqRecordConverter()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def convertPair(element: (Void, Text)): Iterable[AlignmentRecord]

9. #### def convertRead(element: (Void, Text)): AlignmentRecord

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

17. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### def parseMultiLine(element: String): Array[String]

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped